---
- library: '&IDL_MochaBaseSystem;'
  instances:
  - class:      '&IDC_AssignAttributeMethod;'
    inherits:  '&IDC_Method;'
    name:      AA - Assign Attribute Method
    index:     73
    customTagName: assignAttributeMethod
    attributes:
    - instance: '&IDA_Verb;'
      customTagName: 'verb'
    - instance: '&IDA_Name;'
      customTagName: 'name'
    - instance: '&IDA_Static;'
      customTagName: 'static'
    - instance: '&IDA_Final;'
      customTagName: 'final'
    relationships:
    - instance: '&IDR_Assign_Attribute_Method__uses__Executable_returning_Attribute;'
      customTagName: 'usesExecutableReturningAttribute'
    - instance: '&IDR_Assign_Attribute_Method__assigns__Attribute;'
      customTagName: 'assignsAttribute'

  # hmm... what's this?
  # 3$9824 Assignment Method.assigns attribute or relationship from Executable returning Instance Set 
  # 3$9825 Executable returning Instance Set.returns assign attribute or relationship for Assignment Method 

  - relationship: '&IDR_Assign_Attribute_Method__uses__Executable_returning_Attribute;'
    index: 139
    sourceClassId: '&IDC_AssignAttributeMethod;'
    type: 'uses'
    destinationClassId: '&IDC_ExecutableReturningAttribute;'
    siblingRelationshipId: '&IDR_Executable_returning_Attribute__used_by__Assign_Attribute_Method;'
    singular: no

  - relationship: '&IDR_Executable_returning_Attribute__used_by__Assign_Attribute_Method;'
    index: 140
    sourceClassId: '&IDC_ExecutableReturningAttribute;'
    type: 'used by'
    destinationClassId: '&IDC_AssignAttributeMethod;'
    siblingRelationshipId: '&IDR_Assign_Attribute_Method__uses__Executable_returning_Attribute;'
    singular: no

  - relationship: '&IDR_Assign_Attribute_Method__assigns__Attribute;'
    index: 141
    sourceClassId: '&IDC_AssignAttributeMethod;'
    type: 'assigns'
    destinationClassId: '&IDC_Attribute;'
    siblingRelationshipId: '&IDR_Attribute__assigned_by__Assign_Attribute_Method;'
    singular: no

  - relationship: '&IDR_Attribute__assigned_by__Assign_Attribute_Method;'
    index: 142
    sourceClassId: '&IDC_Attribute;'
    type: 'assigned by'
    destinationClassId: '&IDC_AssignAttributeMethod;'
    siblingRelationshipId: '&IDR_Assign_Attribute_Method__assigns__Attribute;'
    singular: no
